package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 学校专业录取数据对象 mall_school_accept
 *
 * @author lsm
 * @date 2023-10-18
 */
public class MallSchoolAccept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 录取数据表id */
    private Long schoolAcceptId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 学校名称 */
    private String schoolName;

    /** 录取规则 */
    private String ruleStr;

    /** 批次 */
    private String batchName;

    /** 专业 */
    private String majorName;

    /** 专业id */
    @Excel(name = "专业id")
    private Long majorId;

    /** 批次id */
    private Long batchId;

    /** 招生人数 */
    @Excel(name = "招生人数")
    private Integer acceptNum;

    /** 录取最低分 */
    @Excel(name = "录取最低分")
    private BigDecimal acceptLowest;

    /** 年份 */
    @Excel(name = "年份")
    private String acceptYear;

    /** 录取原则 */
    @Excel(name = "录取原则")
    private Long acceptRuleId;

    /** 投档公式 */
    private Long sendRuleId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    /** 学科0-文科,1-理科 */
    private String subjectType;

    /** 参考分 */
    private BigDecimal reference;

    /** 是否显示参考分 */
    private Integer isReference;

    /** 学校专业(关联)id */
    private Long linkId;

    public BigDecimal getReference() {
        return reference;
    }

    public void setReference(BigDecimal reference) {
        this.reference = reference;
    }

    public Integer getIsReference() {
        return isReference;
    }

    public void setIsReference(Integer isReference) {
        this.isReference = isReference;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Long getSendRuleId() {
        return sendRuleId;
    }

    public void setSendRuleId(Long sendRuleId) {
        this.sendRuleId = sendRuleId;
    }

    public void setSchoolAcceptId(Long schoolAcceptId)
    {
        this.schoolAcceptId = schoolAcceptId;
    }

    public Long getSchoolAcceptId()
    {
        return schoolAcceptId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setAcceptNum(Integer acceptNum)
    {
        this.acceptNum = acceptNum;
    }

    public Integer getAcceptNum()
    {
        return acceptNum;
    }
    public void setAcceptLowest(BigDecimal acceptLowest)
    {
        this.acceptLowest = acceptLowest;
    }

    public BigDecimal getAcceptLowest()
    {
        return acceptLowest;
    }
    public void setAcceptYear(String acceptYear)
    {
        this.acceptYear = acceptYear;
    }

    public String getAcceptYear()
    {
        return acceptYear;
    }
    public void setAcceptRuleId(Long acceptRuleId)
    {
        this.acceptRuleId = acceptRuleId;
    }

    public Long getAcceptRuleId()
    {
        return acceptRuleId;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("schoolAcceptId", getSchoolAcceptId())
            .append("schoolId", getSchoolId())
            .append("majorId", getMajorId())
            .append("acceptNum", getAcceptNum())
            .append("acceptLowest", getAcceptLowest())
            .append("acceptYear", getAcceptYear())
            .append("acceptRuleId", getAcceptRuleId())
            .append("sendRuleId", getSendRuleId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
